Summary:	Solver LP and MIP problems
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP
Name:		glpk
Version:	4.47
Release:	1
License:	GPL v3+
Group:		Applications/Math
Source0:	http://ftp.gnu.org/gnu/glpk/%{name}-%{version}.tar.gz
# Source0-md5:	8653bf20c1f7db96b9ed369a8598a1ce
Patch0:		%{name}-dl.patch
Patch1:		%{name}-sonames.patch
URL:		http://www.gnu.org/software/glpk/glpk.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	mysql-devel
BuildRequires:	unixODBC-devel
%ifarch %{x8664} ppc64 sparc64 s390x
Suggests:	libodbc.so.1()(64bit)
Suggests:	libmysqlclient.so.16()(64bit)
%else
Suggests:	libodbc.so.1
Suggests:	libmysqlclient.so.16
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GLPK package is intended for solving linear programming (LP) and
mixed integer linear programming (MIP) problems. It is a set of
routines organized in the form of a library and written in the ANSI C
programming language.

%description -l pl.UTF-8
Pakiet GLPK służy do rozwiązywania problemów programowania liniowego
(LP) oraz mieszanych problemów całkowitoliczbowego programowania
liniowego (MIP). Jest to zestaw narzędzi zorganizowanych w formie
biblioteki i napisanych w ANSI C.

%package devel
Summary:	Solver LP and MIP problems - header file
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP - plik nagłówkowy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Solver LP and MIP problems - development files.

%description devel -l pl.UTF-8
Narzędzie do rozwiązywania problemów LP i MIP - pliki dla
programistów.

%package static
Summary:	Solver LP and MIP problems - static library
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Solver LP and MIP problems - static library.

%description static -l pl.UTF-8
Narzędzie do rozwiązywania problemów LP i MIP - biblioteka statyczna.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-dl=dlfcn \
	--enable-mysql \
	--enable-odbc=unix \
	--with-gmp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS doc/{*.txt,*.pdf,notes}
%attr(755,root,root) %{_bindir}/glpsol
%attr(755,root,root) %{_libdir}/libglpk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglpk.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglpk.so
%{_libdir}/libglpk.la
%{_includedir}/glpk.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libglpk.a
%changelog
* Mon Sep 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 594f263
- updated to 4.47

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> cd8be23
- updated to 4.46

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 2b0c56e
- %description for correct %package

* Mon Jan 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 44e6302
- release 2

* Wed Dec 08 2010 Jakub Bogusz <qboosh@pld-linux.org> b219172
- updated to 4.45

* Sat Oct 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 1c7f722
- updated to 4.44
- switched to unixODBC
- added dl patch to link with -ldl (SQL libs are dlopened)
- added sonames patch to dlopen by soname, not *.so (added sonames to Suggests)

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6eb8130
- release 4

* Tue Dec 15 2009 Szymon Siwek <sls@pld-linux.org> bac46b6
- added BR: gmp-devel

* Thu Jun 26 2008 Elan Ruusamäe <glen@pld-linux.org> 43d72bd
- libtool BR for --install arg

* Fri Jun 20 2008 hawk <hawk@pld-linux.org> 6c0dec7
- libtool 2.2 fix

* Sat Apr 05 2008 qrczak <qrczak@pld-linux.org> faec618
- libtoolize
- Release 2

* Sat Mar 15 2008 undefine <undefine@pld-linux.org> ec84081
- up to 4.27

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 70043c8
- more verbose files, ghost soname symlink
- doc cleanup
- License is GPL v3+ now

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 52ab8f7
- up to 4.25

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> 9233632
- up to 4.24
- added static subpackage

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d1fa44a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 26ecdac
- converted to UTF-8

* Mon Sep 25 2006 undefine <undefine@pld-linux.org> 8f54f4d
- up to 4.11

* Sun Sep 03 2006 Elan Ruusamäe <glen@pld-linux.org> 08c4422
- strict internal deps

* Fri Jan 14 2005 Paweł Cyranek <pawel.cyranek@gmail.com> bd7d9ce
- updated to 4.8
- proper license

